.carregando{ left:0; top:0; position:fixed; z-index:5000000; background: rgba(255,255,255,0.9); width:100% !important; height:100% !important; display: flex; align-items: center; justify-content: center; }
.carregando .logoloading { width: 100px; height: 100px; left: 50%; top: 50%; margin-left: -50px; margin-top: -50px; background-repeat: no-repeat; background-size: 75% auto; background-position: center center; position: fixed; -webkit-animation: rodarodao 2s linear alternate 3; -moz-animation: rodarodao 2.0s linear infinite; -o-animation: rodarodao 2.0s linear infinite; animation: rodarodao 2.0s linear infinite; -moz-border-radius: 50%; -webkit-border-radius: 50%; border-radius: 50%; overflow: hidden; }
.carregando .loader {  border: 1px solid transparent; border-top: 1px solid var(--cor-primaria) ; border-bottom: 1px solid var(--cor-primaria) ; border-radius: 50%; width: 132px; height: 132px; animation: spin 2s linear infinite; position: fixed; top: 50%; left: 50%; margin-top: -66px; margin-left: -66px; }
@keyframes spin { 0% { transform: rotate(0deg); -webkit-transform: rotate(0deg); -moz-transform: rotate(0deg); -ms-transform: rotate(0deg); } 100% { transform: rotate(360deg); -webkit-transform: rotate(360deg); -moz-transform: rotate(360deg); -ms-transform: rotate(360deg); } }
@-moz-keyframes rodarodao { 0% {  -webkit-transform: scale(1); -moz-transform: scale(1); -ms-transform: scale(1); -o-transform: scale(1); transform: scale(1); } 25% {  -webkit-transform: scale(1.05); -moz-transform: scale(1.05); -ms-transform: scale(1.05); -o-transform: scale(1.05); transform: scale(1.05); } 50% { -webkit-transform: scale(1.08); -moz-transform: scale(1.08); -ms-transform: scale(1.08); -o-transform: scale(1.08); transform: scale(1.08); } 75% {  -webkit-transform: scale(1.05); -moz-transform: scale(1.05); -ms-transform: scale(1.05); -o-transform: scale(1.05); transform: scale(1.05); } 100% {  -webkit-transform: scale(1); -moz-transform: scale(1); -ms-transform: scale(1); -o-transform: scale(1); transform: scale(1); } }

.carregando2 { position:fixed; z-index:5000000; background: rgba(255,255,255,0.6); width:100% !important; height:100vh; top: 0px; left: 0px; display: none; }
.carregando2 .loader { top: 50%; left: 50%; transform: translate(-50%, -50%); position:fixed; z-index:5000000; background: white url(../imagens/ajax-loader.gif) no-repeat center; width:150px !important; height:150px !important; -webkit-border-radius: 50%; -moz-border-radius: 50%; border-radius: 50%; }

.loader_bars {
  width: 35px;
  aspect-ratio: 1;
  --c: no-repeat linear-gradient(var(--cor-primaria) 0 0);
  background: 
    var(--c) 0%   100%,
    var(--c) 50%  100%,
    var(--c) 100% 100%;
  animation: l2 1s infinite linear;
}
@keyframes l2 {
  0%  {background-size: 20% 100%,20% 100%,20% 100%}
  20% {background-size: 20% 60% ,20% 100%,20% 100%}
  40% {background-size: 20% 80% ,20% 60% ,20% 100%}
  60% {background-size: 20% 100%,20% 80% ,20% 60% }
  80% {background-size: 20% 100%,20% 100%,20% 80% }
  100%{background-size: 20% 100%,20% 100%,20% 100%}
}